org.apache.cassandra.cql3

## Class Attributes

- java.lang.Object
- - org.apache.cassandra.cql3.Attributes

    public class Attributes
    extends java.lang.Object

Utility class for the Parser to gather attributes for modification statements.

### Nested Class Summary

Nested Classes
`static class` `Attributes.Raw`

### Field Summary

Fields
`static int` `MAX_TTL` If this limit is ever raised, make sure @`Integer.MAX_VALUE` is not allowed, as this is used as a flag to represent expired liveness.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addFunctionsTo(java.util.List<Function> functions)`
`void` `collectMarkerSpecification(VariableSpecifications boundNames)`
`long` `getTimestamp(long now, QueryOptions options)`
`int` `getTimeToLive(QueryOptions options, CFMetaData metadata)`
`boolean` `isTimestampSet()`
`boolean` `isTimeToLiveSet()`
`static Attributes` `none()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_TTL

    public static final int MAX_TTL

If this limit is ever raised, make sure @`Integer.MAX_VALUE` is not allowed, as this is used as a flag to represent expired liveness. See `LivenessInfo.EXPIRED_LIVENESS_TTL`

See Also:
  Constant Field Values

### Method Detail

#### none

    public static Attributes none()

#### addFunctionsTo

    public void addFunctionsTo(java.util.List<Function> functions)

#### isTimestampSet

    public boolean isTimestampSet()

#### isTimeToLiveSet

    public boolean isTimeToLiveSet()

#### getTimestamp

    public long getTimestamp(long now,
                             QueryOptions options)
                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### getTimeToLive

    public int getTimeToLive(QueryOptions options,
                             CFMetaData metadata)
                      throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### collectMarkerSpecification

    public void collectMarkerSpecification(VariableSpecifications boundNames)